%define upstream_name    App-FatPacker
%define upstream_version 0.010007

Name:       fatpack
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Pack your dependencies onto your script file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Pack your dependencies onto your script file

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/fatpack
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.7-9.mga10
+ Revision: 2202541
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.7-8.mga9
+ Revision: 1807875
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.7-7.mga8
+ Revision: 1501373
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.10.7-6.mga7
+ Revision: 1278219
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 0.10.7-5.mga7
+ Revision: 1212622
- Update to version 0.010007
- Use new make macros

* Sat Jun 18 2016 pterjan <pterjan> 0.10.1-5.mga6
+ Revision: 1022123
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.10.1-4.mga6
+ Revision: 939930
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-3.mga5
+ Revision: 750007
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-2.mga5
+ Revision: 679099
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.10.1-1.mga5
+ Revision: 606052
- update to 0.010001

* Mon Feb 10 2014 jquelin <jquelin> 0.10.0-1.mga5
+ Revision: 588201
- update to 0.010000

* Sat Oct 19 2013 umeabot <umeabot> 0.9.17-2.mga4
+ Revision: 526309
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.9.17-1.mga4
+ Revision: 436569
- update to 0.009017

* Fri Jan 11 2013 umeabot <umeabot> 0.9.11-3.mga3
+ Revision: 350072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 jquelin <jquelin> 0.9.11-2.mga3
+ Revision: 298768
- update %%description

* Wed Sep 26 2012 jquelin <jquelin> 0.9.11-1.mga3
+ Revision: 297962
- update to 0.009011

* Wed Aug 29 2012 kharec <kharec> 0.9.9-1.mga3
+ Revision: 285074
- update to 0.009009

* Wed Feb 16 2011 jquelin <jquelin> 0.9.6-1.mga1
+ Revision: 52397
- update to 0.009006

* Wed Jan 26 2011 jquelin <jquelin> 0.9.3-1.mga1
+ Revision: 40851
- mageia rebuild
- imported package fatpack

